#include <LiquidCrystal.h>
#include <Servo.h>
LiquidCrystal lcd(12, 11, 10, 6, 4, 2);
Servo servoInclinacion;
Servo servoRotacion;
int motorInclinacion=3;
int motorRotacion=5;
int ldrLeft  = 0;  // Azul
int ldrRight = 1;  // Gris
int ldrTop   = 2;  // Blanco
int ldrDown  = 3;  // Verde
int valInclinacion = 135;
int valRotacion = 53; // equivalente a 180 grados
int Tol1 = 5;
int Tol2 = 5;
int valLeft;
int valRight;
int valTop;
int valDown;
void setup()
{
  lcd.begin(20, 4);
  lcd.setCursor(0, 0);
  lcd.print("E.I.I. 2013");
  lcd.setCursor(0,1);
  lcd.print("Seguidor de luz");
  servoInclinacion.attach(motorInclinacion);
  servoRotacion.attach(motorRotacion);
}
void loop()
{
  valLeft  = analogRead(ldrLeft);
  valRight = analogRead(ldrRight);
  valTop   = analogRead(ldrTop);
  valDown  = analogRead(ldrDown);

 // Parte de Inclinacion
if(valTop-valDown>Tol1||valTop-valDown<-Tol1)
{
  if(valTop>valDown&&valInclinacion>90){
    valInclinacion--;
  }
  else if(valDown>valTop&&valInclinacion<160){
    valInclinacion++;
  }
}

 // parte de la rotación
 if(valLeft-valRight>Tol2||valLeft-valRight<-Tol2)
 {
 if(valLeft>valRight&&valRotacion>5){
   valRotacion--;
 }
 else if(valRight>valLeft&&valRotacion<106){
   valRotacion++;
 }
 }

 servoInclinacion.write(valInclinacion);
 lcd.setCursor(0,2);
 lcd.print("Incl:");
 lcd.print(servoInclinacion.read());
  lcd.print(" grados ");
 servoRotacion.write(valRotacion);
 int Real = map(valRotacion,0,106,0,360);
 lcd.setCursor(0,3);
 lcd.print("Rot:");
 lcd.print(Real);
 lcd.print(" grados ");
 delay(50);
}

